Summary: Utilities for managing the XFS filesystem.
Name: xfsprogs
Version: 2.6.25
Release: 4tr
Prereq: /sbin/ldconfig
Provides: fsck-backend
Conflicts: xfsdump < 2.0.0
Source: ftp://oss.sgi.com/projects/xfs/cmd_tars/xfsprogs-%{version}.src.tar.gz
Patch0: xfsprogs-2.6.25-gcc4.patch
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: Trustix Official
BuildRoot: /var/tmp/%{name}-root

%description
A set of commands to use the XFS filesystem, including mkfs.xfs.

XFS is a high performance journaling filesystem which originated
on the SGI IRIX platform.  It is completely multi-threaded, can
support large files and large filesystems, extended attributes,
variable block sizes, is extent based, and makes extensive use of
Btrees (directories, extents, free space) to aid both performance
and scalability.

Refer to the documentation at http://oss.sgi.com/projects/xfs/
for complete details.  This implementation is on-disk compatible
with the IRIX version of XFS.

%package devel
Summary: XFS filesystem-specific static libraries and headers.
Group: Trustix Official
Requires: xfsprogs >= 2.0.0
Conflicts: xfsprogs < 2.0.0

%description devel
xfsprogs-devel contains the libraries and header files needed to
develop XFS filesystem-specific programs.

You should install xfsprogs-devel if you want to develop XFS
filesystem-specific programs,  If you install xfsprogs-devel, you'll
also want to install xfsprogs.

%prep
%setup -q
%patch0 -p1
make configure

%build
make

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
make install DIST_MANIFEST="$DIST_INSTALL"
make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f build/rpm/rpmfiles

%files devel -f build/rpm/rpmfiles-dev

%changelog
* Tue Apr 26 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.6.25-3tr
- Applied gcc4 patch

* Thu Mar 17 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 2.6.25-2tr
- Rebuild for glibc 2.3.4-6tr

* Thu Feb 17 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 2.6.25-1tr
- New upstream

* Tue Sep 15 2004 Erlend Midttun <erlendbm at trustix dot org> 2.6.13-1tr
- New upstream.

* Fri Jan 23 2004 Erlend Midttun <erlendbm at trustix dot org> 2.6.2-1tr
- Initial release for Trustix, based off official SGI rpms.


